* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Ubuntu', sans-serif;
}

@font-face {
    font-family: 'Ubuntu';
    src: url('../font/Ubuntu/Ubuntu-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Ubuntu';
    src: url('../font/Ubuntu/Ubuntu-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

:root {
    --color-Audio: #262626;
}

body {
    position: relative;
    overflow-x: hidden;
}

html {
    scroll-behavior: smooth;
}

.container {
    height: 100%;
    width: 90%;
}

.bold-text {
    font-weight: 700;
}

.unselectable {
    user-select: none;
}

a {
    text-decoration: none;
}

.cursorPointer {
    cursor: pointer;
}

.hover:hover {
    opacity: 0.7;
}

/* header*/

header {
    position: relative;
    z-index: 200;
    height: 60px;
    width: 100%;
    color: white;
    font-weight: 700;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    background-color: #2d557E;
    -webkit-box-shadow: 0px 12px 49px -11px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px 12px 49px -11px rgba(0, 0, 0, 0.75);
    box-shadow: 0px 12px 49px -11px rgba(0, 0, 0, 0.75);
}

header .container {
    display: flex;
    flex-direction: row;
    align-items: center;

    justify-content: space-between;
}

.containerDate {
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: center;
    justify-content: center;
}

.live {
    font-size: 12px;
    display: flex;
    border-radius: 5px;
    align-items: center;
    justify-content: space-evenly;
    height: 25px;
    width: 100px;
    background-color: #D40012;
}

.live span {
    color: white;
}

/* main*/

#redaleluya {
    font-size: 17px;
    font-weight: bold;
}

main {
    position: relative;
    overflow: hidden;
    z-index: 10;
    width: 100%;
    height: 450px;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;


}

main .container {
    position: relative;
    z-index: 20;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 39%;
    gap: 30px;
}

.Logoreproductor {
    width: 150px;
}

/* Audio*/

.AudioPanel {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 25px;
}

.div__containerTotalInformation {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

#listening {
    font-size: 18px;
}

/*///////////////*/
.lds-ellipsis {
    display: inline-block;
    position: relative;
    width: 13px;
    height: 13px;
}

.lds-ellipsis div {
    position: absolute;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background: #262626;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.lds-ellipsis div:nth-child(1) {
    left: 8px;
    animation: lds-ellipsis1 0.6s infinite;
}

.lds-ellipsis div:nth-child(2) {
    left: 8px;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(3) {
    left: 32px;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(4) {
    left: 56px;
    animation: lds-ellipsis3 0.6s infinite;
}

@keyframes lds-ellipsis1 {
    0% {
        transform: scale(0);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes lds-ellipsis3 {
    0% {
        transform: scale(1);
    }

    100% {
        transform: scale(0);
    }
}

@keyframes lds-ellipsis2 {
    0% {
        transform: translate(0, 0);
    }

    100% {
        transform: translate(24px, 0);
    }
}


/*****/
.div__informationaudio {
    color: #262626;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.div__informationaudio span {
    color: #262626;
    font-size: 20px;
}

.containerProvincia {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

.selectorProvincia {
    font-size: 17px;
    font-weight: bold;
    width: 200px;
}

#playBar {
    height: 7px;
    border-radius: 15px;
    background-color: #262626;
    width: 100%;
    transition: 1s;
}

.red {
    background-color: #D40012 !important;
}

.div__live__buton {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 45px;
    align-items: center;
    width: 100%;
}

.centralAudio {
    width: 100%;
    height: 25px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.controlAudio {
    width: 100%;
    height: 75px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.imagen {
    display: flex;
    align-items: center;
    cursor: pointer;
    justify-content: center;
}

#stopButton,
#audioPlayer,
#volume-low,
#volume-off,
#volume-xmark {
    display: none;
}

.volume {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

.section__share {
    overflow: hidden;
    width: 100%;
    height: 30px;
    display: flex;
    justify-content: start;
    align-items: center;

}

.shareSocial {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding-left: 10px;
    gap: 10px;
    position: relative;
    left: -185px;
    transition: 1s;
}

.left {
    left: 5px;
}

.button {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-Audio);
    ;
    color: white;
    cursor: pointer;
    width: 30px;
    height: 30px;
    border: 0px;
    border-radius: 100%;
    font-size: 10px;
    outline: none;

}

/* Section Media*/
.section__media {
    color: black;
    width: 100%;
    height: 350px;
    background-color: #E5E5E5;
    display: flex;
    justify-content: center;
    align-items: center;

}

.section__media .container {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: space-evenly;
}


.containerbox {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.box__section__media {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 50%;
    gap: 15px;
}

.media__title {
    color: black;
    ;
    font-size: 25px;
}

.section__social__link {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.section__social__link__container {
    display: flex;
    flex-direction: row;
    gap: 10px;
}


.button--footer {
    background-color: #262626;
}

/* Footer*/

footer {
    background-color: #2d557E;
    color: white;
    width: 100%;
    height: 90px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 13px;
}

.volumen-range {
    -webkit-appearance: none;
    width: 120px;
    height: 10px;
    border-radius: 25px;
    background-color: var(--color-Audio);

    outline: none;
}

.volumen-range::-webkit-slider-thumb {
    appearance: none;
    border-radius: 100%;
    width: 18px;
    height: 18px;
    background-color: #E5E5E5;
    cursor: pointer;
}

.volumen-range::-moz-range-thumb {
    appearance: none;
    border-radius: 100%;
    width: 20px;
    height: 20px;
    background-color: #E5E5E5;
    cursor: pointer;
}

.volumen-range::-ms-thumb {
    appearance: none;
    border-radius: 100%;
    width: 20px;
    height: 20px;
    background-color: #E5E5E5;
    cursor: pointer;
}

.animationDuration2s {
    --animate-duration: 3s;
}

a {
    font-size: 12px;
    color: #262626;
}

/* Media querys */

@media (max-width: 600px) {

    footer {
        font-size: 12px;
    }

    .section__media {
        height: 400px;
    }

    .containerbox {
        flex-direction: column;
        gap: 30px;
    }


    .buttonControl:hover {
        color: #262626;
    }

    main .container {
        width: 60%;
    }

    .Logoreproductor {
        width: 120px;
    }

    .div__containerTotalInformation {
        gap: 40px;
    }

    #redaleluya {
        display: none;
    }

    .selectorProvincia {
        display: flex;
        flex-direction: row;
        width: 100%;
    }
}

.select-border {
    border: 2px solid #9ecaed;
    border-radius: 7px;
}

.select-border:focus {
    outline: none;
    border-color: #9ecaed;
    box-shadow: 0 0 10px #9ecaed;
}
